# Using webhooks

## An example event body

Fields included in the body are variable and additional fields will be added over time, below is an example of a upload or download event

```
{
"account":"devaccount1",
"filename":"/storage/testfile.txt",
"authenticated_user":"user1",
"event_type":"upload",
"ip_address":"8.8.4.4",
"success": true,
"total_size":173331,
"additional_info":"",
            
"system":"sftp",
"transaction_id":"<randomuuid>",
}
```

{% hint style="info" %}
Get in touch with support for more information or to request particular fields be added to the webhooks
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.couchdrop.io/webhooks/using-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
